nautilus/files doesn't show up in the launcher when unpinned

Bug #1578792 reported by Gustav Ekner on 2016-05-05
124
This bug affects 38 people
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
High
Andrea Azzarone
Xenial
Undecided
Unassigned

Bug Description

[Impact]

When nautilus is unpinned, it doesn't show up in the launcher. When it's pinned, you can see the open windows with arrows on the side as usual, and switch between windows if there are several of them. But when I unpin it, it will disappear entirely. Sometimes when I open it, it will display for one second and then disappear.

[Test case]

 - Unpin nautilus from launcher (via quicklist or trashing it)
 - launch "Files" from dash
 - Nautilus icon should stay in the launcher until the file manager is opened

[Regresion potential]

Nautilus icon might stay there also if not pineed

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: nautilus 1:3.18.4.is.3.14.3-0ubuntu4
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Thu May 5 21:29:59 2016
ExecutablePath: /usr/bin/nautilus
GsettingsChanges:
 b'org.gnome.nautilus.preferences' b'executable-text-activation' b"'ask'"
 b'org.gnome.nautilus.window-state' b'geometry' b"'890x494+2091+171'"
 b'org.gnome.nautilus.window-state' b'maximized' b'true'
InstallationDate: Installed on 2016-01-22 (103 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
SourcePackage: nautilus
UpgradeStatus: Upgraded to xenial on 2016-05-01 (4 days ago)

Related branches

Gustav Ekner (gustav-ekner) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately, we cannot work on this bug because your description didn't include enough information. You may find it helpful to read "How to report bugs effectively" http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at http://wiki.ubuntu.com/DebuggingProcedures.

At a minimum, we need:
1. The specific steps or actions you took that caused you to encounter the problem.
2. The behavior you expected.
3. The behavior you actually encountered (in as much detail as possible).
Thanks!

affects: nautilus (Ubuntu) → unity (Ubuntu)
Changed in unity (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Sebastien Bacher (seb128) wrote :

Unpinning and going to the dash and typing "nautilus" and click on the icon makes it show in the launcher for me, you are going to describe what you do exactly better. Note that if you open/close it sometime it goes missing which is likely bug #1572348

Sebastien Bacher (seb128) wrote :

Hum, in fact the icon is added there but then removed a bit after that, is that the same issue you see?

Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
importance: Low → High
status: Incomplete → Confirmed
Gustav Ekner (gustav-ekner) wrote :

yes

Gustav Ekner (gustav-ekner) wrote :

A more exact way to reproduce: ("Files" will be referred to as nautilus)

-- Start by having nautilus pinned and closed --

* Open nautilus
* Unpin it (it will still display, as excepted)
* Close nautilus (now it won't display, as excepted)
* Open nautilus via the dash
* Now it will display for approximately one second, then disappear (it shouldn't disappear)

Gustav Ekner (gustav-ekner) wrote :

I have tested this on another machine with Ubuntu 16.04 now, and I can reproduce it with these steps there as well.

tags: added: rls-x-incoming
Changed in unity (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (azzar1)
status: Confirmed → In Progress
tags: added: desktop-trello-import
tags: removed: desktop-trello-import
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+16.10.20160705.4-0ubuntu1

---------------
unity (7.5.0+16.10.20160705.4-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Add missing header to fix compilation error with -Duse_pch=OFF.
  * Filter out fullscreen window in show desktop mode to decide if unity
    must be displayed. (LP: #1597706)
  * Make sure file manager icon is not removed when unpinned. (LP:
    #1578792)
  * Properly calculate the intersection geometry in PanelView::Draw.
    This is needed to properly call SyncGeometries and to avoid problems
    such as lp:1595698. (LP: #1595698)

  [ Eleni Maria Stea ]
  * speeds up the showdesktop plugin in lowgfx mode
  * UnityScreen: only redraw parts of the screen visible in each output
    (LP: #1598770)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: check if a setting key is available
    instead of crashing
  * ApplicationLauncherIcon: ensure quirks are properly set on icon
    initialization
  * Views: Toggle animators durations based on low-gfx setting (LP:
    #1598770)
  * unity7.conf: use different compiz profile based on
    unity_support_test result (LP: #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 05 Jul 2016 10:24:14 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
description: updated

Hello Gustav, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160705-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
cbthompson (cbthompson) wrote :

unity 7.4.0+16.04.20160705-0ubuntu1 from proposed repo fixed issue for me

tags: added: verification-done
removed: verification-needed
Steve Langasek (vorlon) wrote :

Hello Gustav, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160715-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-donee
removed: verification-needed
tags: added: verification-done
removed: verification-donee
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20160715-0ubuntu1

---------------
unity (7.4.0+16.04.20160715-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * PanelView: Don't draw it if the geo doesn't intersect the monitor
    geo (as in ezoom)
  * speeds up the showdesktop plugin in lowgfx mode

  [ Andrea Azzarone ]
  * Add whitelist for auto-repated keys. (LP: #1586491)
  * Fix scale window activation if in show desktop mode. (LP: #1582056)
  * Order matters in the rendering. Draw launcher shadow after the
    background in all cases. (LP: #1586374)
  * Fallback to volume name if no other identifier is available. (LP:
    #1103593)
  * Do not trigger screensaver on session inactive. (LP: #1587507)
  * Use SwitcherController::SetDetail instead of detail=... (LP:
    #1587618)
  * UnitySettings: Add an option to enable/disable pam account checking.
    (LP: #1460649)
  * Lockscreen: Make sure warning and errors are properly shown to the
    user (LP: #1593696)
  * Add missing header to fix compilation error with -Duse_pch=OFF.
  * Filter out fullscreen window in show desktop mode. (LP: #1597706)
  * Make sure file manager icon is not removed when unpinned. (LP:
    #1578792)
  * Properly calculate the intersection geometry in PanelView::Draw.
    This is needed to properly call SyncGeometries and to avoid problems
    such as lp:1595698. (LP: #1595698)

  [ Alberto Milone ]
  * UnitySettings: Add dconf keys for disabling multitouch gestures (LP:
    #1589520)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: use key::Grabber to handle allowed
    bindings (LP: #1438754)
  * LockScreenAcceleratorController: check if a setting key is available
    instead of crashing
  * ApplicationLauncherIcon: ensure quirks are properly set on icon
    initialization
  * Views: Toggle animators durations based on low-gfx setting (LP:
    #1598770)
  * unity7.conf: use different compiz profile based on
    unity_support_test result (LP: #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Fri, 15 Jul 2016 10:14:41 +0000

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

David D Lowe (flimm) wrote :

I experience this bug in Ubuntu 16.10 Yaketty, and I've filed this bug report: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1646420

casolorz (casolorz) wrote :

I have this bug on 16.04.1 LTS and I have all updates. How can I apply the fix?

Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers